//
//  DataFormat.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "Macros.h"

typedef struct {
	NSString * __unsafe_unretained code;
	NSString * __unsafe_unretained name;
	double conversionSpeed; // bytes per nanosecond
	BOOL variableLayout;
	BOOL variableBitRate;
	BOOL variableQuality;
	BOOL worksWithFillerOption;
} dataFormat_t;

extern dataFormat_t dataFormat_BEI16;
extern dataFormat_t dataFormat_LEI16;
extern dataFormat_t dataFormat_BEI24;
extern dataFormat_t dataFormat_LEI24;
extern dataFormat_t dataFormat_BEI32;
extern dataFormat_t dataFormat_LEI32;
extern dataFormat_t dataFormat_BEF32;
extern dataFormat_t dataFormat_LEF32;
extern dataFormat_t dataFormat_BEF64;
extern dataFormat_t dataFormat_LEF64;
extern dataFormat_t dataFormat_aac;
extern dataFormat_t dataFormat_aacl;
extern dataFormat_t dataFormat_alac;
extern dataFormat_t dataFormat_alaw;
extern dataFormat_t dataFormat_ulaw;
extern dataFormat_t dataFormat_ima4;
