//
//  FileFormat.m
//

#import "FileFormat.h"

static dataFormat_t *_3gpp_dataFormats[] = {
	&dataFormat_aac,
	NULL
};

static dataFormat_t *_3gp2_dataFormats[] = {
	&dataFormat_aac,
	NULL
};

static dataFormat_t *AIFC_dataFormats[] = {
	&dataFormat_BEI16,
	&dataFormat_BEI24,
	&dataFormat_BEI32,
	SEPERATOR,
	&dataFormat_BEF32,
	&dataFormat_BEF64,
	SEPERATOR,
	&dataFormat_alaw,
	&dataFormat_ulaw,
	&dataFormat_ima4,
	NULL
};

static dataFormat_t *AIFF_dataFormats[] = {
	&dataFormat_BEI16,
	&dataFormat_BEI24,
	&dataFormat_BEI32,
	NULL
};

static dataFormat_t *caff_dataFormats[] = {
	&dataFormat_BEI16,
	&dataFormat_LEI16,
	&dataFormat_BEI24,
	&dataFormat_LEI24,
	&dataFormat_BEI32,
	&dataFormat_LEI32,
	SEPERATOR,
	&dataFormat_BEF32,
	&dataFormat_LEF32,
	&dataFormat_BEF64,
	&dataFormat_LEF64,
	SEPERATOR,
	&dataFormat_aac,
	&dataFormat_aacl,
	&dataFormat_alac,
	&dataFormat_alaw,
	&dataFormat_ulaw,
	&dataFormat_ima4,
	NULL
};

static dataFormat_t *m4af_dataFormats[] = {
	&dataFormat_aac,
	&dataFormat_aacl,
	&dataFormat_alac,
	NULL
};

static dataFormat_t *mp4f_dataFormats[] = {
	&dataFormat_aac,
	&dataFormat_aacl,
	NULL
};

static dataFormat_t *NeXT_dataFormats[] = {
	&dataFormat_BEI16,
	&dataFormat_BEI24,
	&dataFormat_BEI32,
	SEPERATOR,
	&dataFormat_BEF32,
	&dataFormat_BEF64,
	SEPERATOR,
	&dataFormat_ulaw,
	NULL
};

static dataFormat_t *Sd2f_dataFormats[] = {
	&dataFormat_BEI16,
	&dataFormat_BEI24,
	&dataFormat_BEI32,
	NULL
};

static dataFormat_t *WAVE_dataFormats[] = {
	&dataFormat_LEI16,
	&dataFormat_LEI24,
	&dataFormat_LEI32,
	SEPERATOR,
	&dataFormat_LEF32,
	&dataFormat_LEF64,
	SEPERATOR,
	&dataFormat_alaw,
	&dataFormat_ulaw,
	NULL
};

fileFormat_t fileFormats[numberOfFileFormats] = {
	{ @"3gpp", @"3GP Audio (.3gp)",          @"3gp",  _3gpp_dataFormats, 0 },
	{ @"3gp2", @"3GPP2 Audio (.3g2)",        @"3g2",  _3gp2_dataFormats, 0 },
	{ @"AIFF", @"AIFF (.aiff)",              @"aiff",  AIFF_dataFormats, 0 },
	{ @"AIFC", @"AIFF-C (.aifc)",            @"aifc",  AIFC_dataFormats, 0 },
	{ @"caff", @"Apple CAF (.caf)",          @"caf",   caff_dataFormats, 0 },
	{ @"m4af", @"Apple MPEG-4 Audio (.m4a)", @"m4a",   m4af_dataFormats, 2 },
	{ @"mp4f", @"MPEG-4 Audio (.mp4)",       @"mp4",   mp4f_dataFormats, 0 },
	{ @"NeXT", @"NeXT/Sun Audio (.au)",      @"au",    NeXT_dataFormats, 0 },
	{ @"Sd2f", @"Sound Designer II (.sd2)",  @"sd2",   Sd2f_dataFormats, 0 },
	{ @"WAVE", @"WAVE (.wav)",               @"wav",   WAVE_dataFormats, 0 }
};
