//
//  MainController.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "ConversionOptions.h"
#import "FeedbackController.h"
#import "OptionsController.h"
#import "Macros.h"

@interface MainController : NSObject <NSWindowDelegate>

//--------------------------------------
#pragma mark properties

@property (assign) IBOutlet NSWindow *mainWindow;

@property (weak) IBOutlet NSView *optionsView;
@property (weak) IBOutlet NSView *progressView;
@property (weak) IBOutlet NSView *errorView;
@property (weak) IBOutlet NSView *successView;

@property (weak) IBOutlet OptionsController *optionsController;
@property (weak) IBOutlet FeedbackController *feedbackController;

@property (readonly) BOOL isInterrupted;
@property (readonly) BOOL usesVariableBitRate;

//--------------------------------------
#pragma mark methods

- (void)showOptionsView;
- (void)showProgressView;
- (void)showSuccessView;
- (void)showErrorView;

- (void)proceedWithOptions:(ConversionOptions *)options;
- (void)stop;

@end
