//
//  OptionsController.h
//

#import "Unix.h"
#import <Cocoa/Cocoa.h>
#import "Macros.h"

@class MainController;

@interface OptionsController : NSObject

//--------------------------------------
#pragma mark properties

@property (weak) IBOutlet NSPopUpButton *layoutPopup;
@property (weak) IBOutlet NSTextField *channelsTextField;
@property (weak) IBOutlet NSPopUpButton *fileFormatPopup;
@property (weak) IBOutlet NSPopUpButton *dataFormatPopup;
@property (weak) IBOutlet NSComboBox *sampleRateCombo;
@property (weak) IBOutlet NSSlider *srcQualitySlider;
@property (weak) IBOutlet NSSlider *srcComplexitySlider;
@property (weak) IBOutlet NSComboBox *bitRateCombo;
@property (weak) IBOutlet NSPopUpButton *strategyPopup;
@property (weak) IBOutlet NSSlider *codecQualitySlider;
@property (weak) IBOutlet NSButton *fillerCheckbox;
@property (weak) IBOutlet NSTextField *srcQualityTextField;
@property (weak) IBOutlet NSTextField *srcComplexityTextField;
@property (weak) IBOutlet NSTextField *codecQualityTextField;

@property (weak) IBOutlet NSNumberFormatter *formatter;
@property (weak) IBOutlet MainController *mainController;

//--------------------------------------
#pragma mark methods

- (IBAction)getLayoutFrom:(NSPopUpButton *)sender;
- (IBAction)getChannelsFrom:(NSTextField *)sender;
- (IBAction)getFileFormatFrom:(NSPopUpButton *)sender;
- (IBAction)getDataFormatFrom:(NSPopUpButton *)sender;
- (IBAction)getSampleRateFrom:(NSComboBox *)sender;
- (IBAction)getSrcQualityFrom:(NSSlider *)sender;
- (IBAction)getSrcComplexityFrom:(NSSlider *)sender;
- (IBAction)getBitRateFrom:(NSComboBox *)sender;
- (IBAction)getStrategyFrom:(NSPopUpButton *)sender;
- (IBAction)getCodecQualityFrom:(NSSlider *)sender;
- (IBAction)getFillerFlagFrom:(NSButton *)sender;

- (IBAction)proceed:(id)sender;
- (IBAction)quit:(id)sender;

@end
